Subject: [secdir] Security review of draft-ietf-rtcweb-fec-08 (was Re: Security review of draft-ietf-perc-srtp-ekt-diet-08)

From: Ben Campbell <[email-masked]>
Date: Fri, 1 Feb 2019 16:49:03 -0600

Hi,

Please note that this review is for draft-ietf-rtcweb-fec-08, not the PERC draft referenced in the subject.

Thanks!

Ben.

> On Feb 1, 2019, at 1:42 AM, Hilarie Orman <[email-masked]> wrote:
> 
> Security Review of WebRTC Forward Error Correction Requirements
> draft-ietf-rtcweb-fec-08
> 
> Do not be alarmed.  I have reviewed this document as part of the
> security directorate's ongoing effort to review all IETF documents
> being processed by the IESG.  These comments were written primarily
> for the benefit of the security area directors.  Document editors and
> WG chairs should treat these comments just like any other last call
> comments.
> 
> The document describes the appropriate uses of FEC for web content when
> using WebRTC.  It also describes how to indicate that FEC is being used.
> 
> The Security Considerations mention the possibility of additional network
> congestion when using FEC.  Although this can be a problem, I do not think
> it is a security issue, thus it does not belong in this section.
> 
> There is a security-related issue wrt to FEC and encryption.  If the
> error model is that message blocks may be lost but not altered in
> transit, then FEC with encryption is fine.  But if FEC is added for
> the purpose of correcting corrupted bits in a message block, then it
> is important that FEC is done after encryption.  The draft seems to
> ignore the issue, and it also seems to recommend a processing scheme
> that would result in encryption of the FEC data.  If there is a body
> of practice for other IETF FEC protocols that explains these issues,
> an explicit reference to it in the Security Considerations would be
> very helpful.
> 
> Hilarie
> 
>

---

From: Justin Uberti <[email-masked]>
Date: Fri, 8 Feb 2019 17:20:41 -0800

> > it is a security issue, thus it does not belong in this section.

Understood. I think this paragraph could easily be moved to the preceding
section.

> FEC is added specifically to protect against lost blocks. Any corruption
of the blocks will be detected by the decryption procedure, and such blocks
will be discarded.

There is a reference to RFC 3711, which stipulates the fec-then-encrypt
ordering. RFC 3711 is admittedly terse on this subject, but it is quite
clear about the ordering.

---

From: Hilarie Orman <[email-masked]>
Date: Fri, 8 Feb 2019 18:46:15 -0700 (MST)

I think that the purpose of the FEC should be explicit, else the interaction with
encryption will remain a source of confusion forever.

Hilarie

---

From: Justin Uberti <[email-masked]>
Date: Fri, 8 Feb 2019 17:51:32 -0800

Any suggestions on the sort of text you would like to see?

e.g. "In the WebRTC context, FEC is specifically concerned with recovering
data from lost packets; any corrupted packets will be discarded by the SRTP
decryption process. Therefore, as described in [RFC3711], Section 10..."

On Fri, Feb 8, 2019 at 5:46 PM Hilarie Orman <[email-masked]>
wrote:

> Cc: Hilarie Orman <[email-masked]>, The IESG <[email-masked]>,
> [email-masked], draft-ietf-rtcweb-fec all <
> [email-masked]>
> Subject: Re: Security review of draft-ietf-rtcweb-fec-08 (was Re: Security
> review of draft-ietf-perc-srtp-ekt-diet-08)
>
> > Please note that this review is for draft-ietf-rtcweb-fec-08, not the
> PERC
> > draft referenced in the subject.
> >
> > Thanks!
> >
> > Ben.
> >
> >

---

From: Hilarie Orman <[email-masked]>
Date: Fri, 8 Feb 2019 21:38:26 -0700 (MST)

OK, that's good.

Hilarie  

--

---

From: Sean Turner <[email-masked]>
Date: Tue, 12 Feb 2019 21:38:14 -0500

Hilarie,

Justin produced this PR to address this:
https://github.com/juberti/draughts/commit/6e991d1eeaf1e505bb89957319be38df4ada56f5

Cheers,

spt

> On Feb 8, 2019, at 23:38, Hilarie Orman <[email-masked]> wrote:
> 
> OK, that's good.
> 
> Hilarie  
> 
> -- 
> 
> 
> _______________________________________________
> secdir mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/secdir
> wiki: http://tools.ietf.org/area/sec/trac/wiki/SecDirReview